Subject: Re: cp/mv/rm problems with .exe extension filenames
From: [email-masked] (Michael Hirmke)

16 Aug 1998 12:06:43 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi Steven,

>I'm definitely a newbie to GNU-win32, so please forgive me if this turns
>out to be a dumb question!

There are no dumb questions at all !

>
>I recently downloaded a "GNU-style" (uses ./configure) software package (the
>unix version of vim 5.1, specifically).  It configured, and built as is, but
>when I went to install it, I found that the install targets in the Makefile
>couldn't copy the binary to /bin (where I wanted it).  The problem boiled
>down to trying to do a:
>
>cp vim /bin
>
>The command failed because the file 'vim' did not exist--it is vim.exe!

   - replacement for the original "install" command to handle .exe file
     extensions properly

     ----------------------< snip snip snip >--------------------------
     #! /bin/sh
     
     # file: install
     # author:  earnie                  email: [email-masked]
     #
     # Install Preprocessor for the gnu-win32 "make install" command.
     #
     # To use:
     #
     #   copy this file to /usr/bin/install (earlier in the
     #   path than the default GNU install).
     #
     # Note:
     #   No warranty implicit or explicit is given.
     #   You may copy, distribute and use as you see fit.
     #   USE AT YOU OWN RISK.
     #
     # changed: M.Hirmke                email: [email-masked]
     #   changed ginstall to cyg_install, because some packages are looking
     #   for ginstall
     #
     # changed: Dr David Coe            email: [email-masked]
     #   "I seem to remember earnie's script gave trouble (in X11 or lesstif
     #    make install) when both <exec.exe> and <exec> are present
     #    simultaneously). The attached helped."
     #
     # changed: Dr Pierre A. Humblet    email: [email-masked]
     #    Modify logic to work when several files are installed in a
     #    directory, some with the .exe extension and others without.
     
     tstr=""
     while test $# -gt 1;
     do
       if test -e $1.exe;
       then
         suffix=".exe";
       else
         suffix="";
       fi
       tstr="${tstr}${1}${suffix} "
       shift;
     done
     if test -d $1
     then
       suffix="";
     fi
     tstr="${tstr}${1}${suffix}"
     
     eval "cyg_install.exe $tstr";
     exit
     ----------------------< snip snip snip >--------------------------

[...]
>
>Any help would be greatly appreciated!!

Hope that helps.

>
>
>Steve Hein

Bye.
Michael.
--
Michael Hirmke           | Telefon +49 (911) 557999
Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
90489 Nuernberg          | E-Mail  mailto:[email-masked]
                         | WWW     http://aquarius.franken.de/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".